package com.brilliance.isc.mda.dao;
import org.apache.ibatis.annotations.Param;

import com.brilliance.isc.bo.Auzlvl;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface AuzlvlMapper {

    int insert(Auzlvl record);

    int insertSelective(Auzlvl record);

    int updateByPrimaryKeySelective(Auzlvl record);

    int updateByPrimaryKey(Auzlvl record);

    int deleteByPrimaryKey(Auzlvl record);

    int deleteByIds(List<String> inrList);

    Auzlvl selectByPrimaryKey(Auzlvl record);

    List<Auzlvl> listFuzzyByRecord(Auzlvl record);

    List<Auzlvl> listByUniqueKey(Auzlvl record);

    List<Auzlvl> dyncRead(Map<String,Object> dyncMap);

    List<Auzlvl> selectByBranchAndCodeAndType(@Param("branch") String branch, @Param("code") String code, @Param("type") String type);

    List<Auzlvl> selectByBranchAndAuthlevel(@Param("branch") String branch, @Param("authlevel") String authlevel);

}